Update User Settings
PUT
/user/{userId}/settings
const url = 'https://api.exolink.cloud/user/example/settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"language":"example","region":"example","defaultTenant":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.exolink.cloud/user/example/settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "language": "example", "region": "example", "defaultTenant": "example" }'Update user settings and preferences
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
language
Preferred language code
string
region
Preferred region code
string
defaultTenant
Default tenant domain prefix
string
Examplegenerated
{ "language": "example", "region": "example", "defaultTenant": "example"}Responses
Section titled “Responses”Settings updated successfully